LibreOffice: XSubmissionVetoListener Interface Reference

LibreOffice LibreOffice 6.3 SDK API Reference

Public Member Functions | List of all members
XSubmissionVetoListener Interface Reference

is implement by components which want to observe (and probably veto) the submission of data. More...

`import"XSubmissionVetoListener.idl";`

Inheritance diagram for XSubmissionVetoListener:

## Public Member Functions
void | submitting ([in] com::sun::star::lang::EventObject event) raises ( com::sun::star::util::VetoException )
| is invoked when a component, at which the listener has been registered, is about to submit its data. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is implement by components which want to observe (and probably veto) the submission of data.

See also
  XSubmission

## Member Function Documentation

## ◆ submitting()

void submitting | ( | [in] com::sun::star::lang::EventObject | event | ) |
raises | ( | com::sun::star::util::VetoException
| ) |  |

is invoked when a component, at which the listener has been registered, is about to submit its data.

Parameters

  event | The submission event. The com::sun::star::lang::EventObject::Source member of the structure describes the component which is about to submit its data.

Exceptions

  com::sun::star::util::VetoException | when the submission is vetoed. com::sun::star::uno::Exception::Message should contain a justification for the veto then.

The documentation for this interface was generated from the following file:

- com/sun/star/form/submission/XSubmissionVetoListener.idl